
From: "Alexey Dobriyan" <adobriyan@mail.ru>,
      Andreas Gruenbacher <agruen@suse.de>

Make local variable `count' an integer so the subsequent test for
negativeness makes sense.



 25-akpm/fs/ext2/acl.c |    2 +-
 25-akpm/fs/ext3/acl.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/ext2/acl.c~acl-signedness-fix fs/ext2/acl.c
--- 25/fs/ext2/acl.c~acl-signedness-fix	Mon Oct 13 15:00:51 2003
+++ 25-akpm/fs/ext2/acl.c	Mon Oct 13 15:00:51 2003
@@ -19,7 +19,7 @@ static struct posix_acl *
 ext2_acl_from_disk(const void *value, size_t size)
 {
 	const char *end = (char *)value + size;
-	size_t n, count;
+	int n, count;
 	struct posix_acl *acl;
 
 	if (!value)
diff -puN fs/ext3/acl.c~acl-signedness-fix fs/ext3/acl.c
--- 25/fs/ext3/acl.c~acl-signedness-fix	Mon Oct 13 15:00:51 2003
+++ 25-akpm/fs/ext3/acl.c	Mon Oct 13 15:00:51 2003
@@ -20,7 +20,7 @@ static struct posix_acl *
 ext3_acl_from_disk(const void *value, size_t size)
 {
 	const char *end = (char *)value + size;
-	size_t n, count;
+	int n, count;
 	struct posix_acl *acl;
 
 	if (!value)

_
